Kreslení Roztáhnout

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Scale and the translation is 26% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Downgrade.svg Downgrade
Next: Edit Draft Edit.svg Arrow-right.svg

Draft Scale.svg Kreslení Roztáhnout

Umístění Menu
Kreslení → Roztáhnout
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
S C
Představen ve verzi
-
Viz také
Kreslení Klon


Popis

Tento nástroj roztáhne rozměry objektů vzhledem k základnímu bodu. Není-li vybrán žádný objekt, budete vyzváni k jeho výběru. Nástroj také může být využit k zrcadlení objektů.

The Scale tool can produce a copy or a Draft Clone at a defined scale. Use Draft Offset to produce a scaled copy of a wire set at a certain offset. A simple copy with no scaling can be produced with Draft Move.

This tool can be used on 2D shapes created with the Draft Workbench but can also be used on many types of 3D objects such as those created with the Part Workbench or PartDesign Workbench.

Draft Scale example.jpg

Scaling one object from a reference point to a second point


Použití

  1. Vyberte objekt, který chcete roztáhnout
  2. Stiskněte tlačítko Draft Scale.png Kreslení Roztáhnout nebo klávesy S potom C
  3. Klikněte na první bod ve 3D pohledu nebo zadejte souřadnice
  4. Klikněte na druhý bod ve 3D pohledu nebo zadejte souřadnice

Volby

  • Chcete-li zadat souřadnice ručně jednoduše zadejte číslo a potom stiskněte ENTER mezi každou z komponent X, Y a Z.
  • Komponenty x, y and z druhého bodu definují faktor roztažení. Například, (1,1,1) neudělá nic, (2,2,2) roztáhne objekt 2x ve všech směrech, (-1,1,1) zrcadlí objekt ve směru x.
  • Stisknutí klávesy ALT nebo C nebo kliknutí na tlačítko Kopie vytvoří kopii objektu místo jeho roztažení. Podržíte-li stisknutou klávesu ALT po kliknutí na druhý bod, budete moci umístit několik kopií, až dokud neuvolníte klávesu ALT.
  • Stisknutím klávesy CTRL během kreslení vynutíte přichycení vašeho bodu k nejbližšímu uchopovacímu místu nezávisle na vzálenosti od něho.
  • Stisknutí klávesy SHIFT uzamkne společně hodnoty x a y, takže tvar není deformován.
  • Stisknutím tlačítka ESC nebo Zrušit zrušíte právě probíhající příkaz.
  • Výsledný objekt je klon, což umožňuje měnit hodnotu roztažení po tom co byl objekt vytvořen.
  • Zrcadlení objektů je založeno na otočení znaménka v jednom ze směrů. Například, (-1,1,1) zrcadlí vodorovně (podle osy X) a (1,-1,1) svisle (podle osy Y).

Skriptování

Nástroj Roztáhnout může být využit v makrech a z konzoly Pythonu použitím následující funkce:

scaledlist = scale(objectslist, delta=Vector(1,1,1), center=Vector(0,0,0), copy=False, legacy=False)
  • Roztáhne objekty obsažené v objects (může to být objekt nebo seznam objektů) podle zadaného faktoru roztažení definovaného vektorem (ve směrech X, Y a Z) kolem zadaného středu.
  • Je-li legacy True, je použit (zastaralý) mód direct, jinak je provedena parametrická kopie.
  • Je-li copy True, aktuální objekty se nepohnou, ale místo toho jsou vytvořeny nové kopie.
  • Jsou vráceny objekty (nebo jejich kopie).

Příklad:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=1200)
delta1 = FreeCAD.Vector(2.3, 0.75, 0)

clone_1 = Draft.scale(Polygon1, delta1, copy=True)

Polygon2 = Draft.makePolygon(5, radius=750)
delta2 = FreeCAD.Vector(-2, -1.5, 0)

clone_2 = Draft.scale([Polygon1, Polygon2], delta2, copy=True)
Draft.move(clone_2, FreeCAD.Vector(3500, 1000, 0))
Arrow-left.svg Previous: Draft Downgrade.svg Downgrade
Next: Edit Draft Edit.svg Arrow-right.svg